@extends('qc::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/dropzone/dropzone.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js"
            integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ=="
            crossorigin="anonymous"></script>

    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3></h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active" aria-current="page">Supplier Evaluation</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card ">
                <div class="card-body">
                    <h6 class="card-title">Supplier Evaluation</h6>

                    <div class="row">
                        <div class="col-md-12 mb-3">
                            <button type="button" id="btnAttachment" class="btn btn-primary"><i class="fa fa-plus" aria-hidden="true"></i></button>
                        </div>
                    </div>

                    {{ csrf_field() }}
                    <table id="myTable" class="table table-striped table-bordered dataTable dtr-inline collapsed"
                           role="grid" aria-describedby="example1_info">
                        <thead>
                        <tr>
                            <th class="id">Reference No</th>
                            <th>Product</th>
                            <th>Factory Order No</th>
                            <th>Factory</th>
                            <th>Description</th>
                            <th>Date</th>
                            <th>Edit</th>
                            <th>View</th>
                            <th>Delete</th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <!--Attachment-->
    <div class="modal fade" id="attachmentAddModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="attachmentAddModalTitle">Add Supplier Evaluation</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="ti-close"></i>
                    </button>
                </div>
                <div class="modal-body" id="attachmentAddModalBody">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group row">
                                <label for="reference_no" class="col-sm-3 col-form-label">Reference No</label>
                                <div class="col-sm-9">
                                    <input type="text" class="form-control" id="reference_no">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="date" class="col-sm-3 col-form-label">Date</label>
                                <div class="col-sm-9">
                                    <input type="date" class="form-control" id="date">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="customer_order_plan_data_id" class="col-sm-3 col-form-label">Order No</label>
                                <div class="col-sm-9">
                                    <select id="customer_order_plan_data_id" name="customer_order_plan_data_id" class="form-control">
                                        <option>--Select Order No--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="product_primary_id" class="col-sm-3 col-form-label">Product</label>
                                <div class="col-sm-9">
                                    <select id="product_primary_id" name="product_primary_id" class="form-control">
                                        <option>--Select Order No--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="factory" class="col-sm-3 col-form-label">Factory</label>
                                <div class="col-sm-9">
                                    <select id="factory" name="factory" class="form-control">
                                        <option>--Select Factory--</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="description" class="col-sm-3 col-form-label">Description</label>
                                <div class="col-sm-9">
                                    <textarea class="form-control" name="description" id="description" placeholder="Add Description"></textarea>
                                </div>
                            </div>
                            <form action="{{ route('/SupplierEvaluationController/uploadAttachment') }}" class="dropzone" method="POST" id="myDropzone" name="myDropzone">
                                @csrf
                                <input type="hidden" id="supplier_evaluation_id" name="supplier_evaluation_id" value="">
                                <input type="hidden" id="attachment_token" name="attachment_token" value="">
                                <div class="fallback">
                                    <input name="file" id="file_input" type="file" multiple />
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" id="btnModalSave" data-dismiss="modal">Save</button>
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>

    {{-- pdf --}}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/vfs_fonts.js"
            integrity="sha512-vv3EN6dNaQeEWDcxrKPFYSFba/kgm//IUnvLPMPadaUf5+ylZyx4cKxuc4HdBf0PPAlM7560DV63ZcolRJFPqA=="
            crossorigin="anonymous"></script>
    <script type="application/octet-stream" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/fonts/Roboto/Roboto-Medium.ttf"></script>
    <script src="{{ Module::asset('qc:js/pdf/Page.js') }}?random=<?php echo uniqid(); ?>"></script>
    <script src="{{ Module::asset('qc:js/pdf/PDFViewer.js') }}?random=<?php echo uniqid(); ?>"></script>

    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>
    <script src="{{ url('vendors/dropzone/dropzone.js') }}"></script>
    <script src="{{ url('assets/js/notification.js') }}?random=<?php echo uniqid(); ?>"></script>

    <script src="{{ Module::asset('qc:js/supplier_evaluation.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection
